import { DateTimePickerProps } from "../datetimepicker";
import { UseDateTimePickerReturn } from "../utils/types";
/**
 * useDateTimepicker is a hook that provides all the state and focus management logic
 * for the component. It is consumed by the `DatePicker` component
 *
 */
export declare function useDateTimePicker(dateTimePickerProps: DateTimePickerProps): UseDateTimePickerReturn;
