/// <reference types="react" />
import { ArrowDirection, ArrowProps } from "../utils/types";
export declare type ArrowButtonProps = ArrowProps & {
    direction: ArrowDirection;
};
export declare const ArrowButton: (props: ArrowButtonProps) => JSX.Element;
export declare const useMonthArrowButton: (direction: ArrowButtonProps["direction"], props: Record<string, any>) => Record<string, any>;
export declare const BackButton: (props: ArrowProps) => JSX.Element;
export declare const NextButton: (props: ArrowProps) => JSX.Element;
