/// <reference types="react" />
import { MaybeRenderProp } from "@chakra-ui/react-utils";
import { WeekDayFormat } from "..";
import { HTMLChakraProps } from "@chakra-ui/system";
export declare type WeekNamesProps = HTMLChakraProps<any> & {
    children?: MaybeRenderProp<{
        weekdays: string[];
    }>;
    format?: WeekDayFormat;
};
export declare const WeekNames: (props: WeekNamesProps) => JSX.Element;
